
@interface HelperClass: NSObject

+ (BOOL)shouldContinueWithError:(NSString *)errorMessage;
+ (NSArray *)returnForProcess:(NSString *)call;
+ (InputPackage *)packageForDeb:(NSString *)debFile;
+ (NSString *)octalFromSymbols:(NSString *)theSymbols;
+ (NSArray <StatusPackageModel*>*)statusInstalledPackagesFromFile:(NSString *)statusFile;
+ (NSString *)singleLineReturnForProcess:(NSString *)format, ...;
+ (NSArray *)arrayReturnForTask:(NSString *)taskBinary withArguments:(NSArray *)taskArguments;
+ (void)runProcess:(NSString *)call environment:(NSDictionary *)env currentPath:(NSString *)currentPath completion:(void(^)(NSString *output, NSInteger returnStatus))block;
+ (int)runCommand:(NSString *)call environment:(NSDictionary *)env currentPath:(NSString *)currentPath verbose:(BOOL)verbose;
+ (NSString *)validLDIDPath;
@end
